## [v0.8.0](https://github.com/metabahn/corerb/releases/tag/2021-07-15)

*released on 2021-07-15*

  * `add` [#50](https://github.com/metabahn/corerb/pull/50) Make all async objects inspectable ([bryanp](https://github.com/bryanp))

## [v0.7.0](https://github.com/metabahn/corerb/releases/tag/2021-07-07)

*released on 2021-07-07*

  * `chg` [#38](https://github.com/metabahn/corerb/pull/38) Drop Ruby 2.6 support from core-async ([bryanp](https://github.com/bryanp))

## [v0.6.1](https://github.com/metabahn/corerb/releases/tag/2021-05-20.1)

*released on 2021-05-20*

  * `fix` [#29](https://github.com/metabahn/corerb/pull/29) Actually disable the console logger ([bryanp](https://github.com/bryanp))

## [v0.6.0](https://github.com/metabahn/corerb/releases/tag/2021-05-20)

*released on 2021-05-20*

  * `fix` [#28](https://github.com/metabahn/corerb/pull/28) Turn off the console logger in all contexts ([bryanp](https://github.com/bryanp))
  * `chg` [#27](https://github.com/metabahn/corerb/pull/27) Propagate throws from async contexts ([bryanp](https://github.com/bryanp))

## [v0.5.0](https://github.com/metabahn/corerb/releases/tag/2021-03-26)

*released on 2021-03-26*

  * `chg` [#25](https://github.com/metabahn/corerb/pull/25) Privatize async behavior ([bryanp](https://github.com/bryanp))
  * `add` [#24](https://github.com/metabahn/corerb/pull/24) Add Is::Async#cancel ([bryanp](https://github.com/bryanp))
  * `fix` [#23](https://github.com/metabahn/corerb/pull/23) Improve control flow during async enumeration / collection building ([bryanp](https://github.com/bryanp))
  * `fix` [#22](https://github.com/metabahn/corerb/pull/22) Expose errors that occur when building a collection ([bryanp](https://github.com/bryanp))

## [v0.4.0](https://github.com/metabahn/corerb/releases/tag/2021-03-17.1)

*released on 2021-03-17*

  * `chg` [#21](https://github.com/metabahn/corerb/pull/21) Cancel async futures without waiting ([bryanp](https://github.com/bryanp))

## [v0.3.0](https://github.com/metabahn/corerb/releases/tag/2021-03-17)

*released on 2021-03-17*

  * `add` [#20](https://github.com/metabahn/corerb/pull/20) Allow futures to be canceled ([bryanp](https://github.com/bryanp))

## [v0.2.1](https://github.com/metabahn/corerb/releases/tag/2021-03-05)

*released on 2021-03-05*

  * `fix` [#18](https://github.com/metabahn/corerb/pull/18) Surface errors that occur in tasks running within an async reactor ([bryanp](https://github.com/bryanp))

## [v0.2.0](https://github.com/metabahn/corerb/releases/tag/2021-03-05)

*released on 2021-03-05*

  * `add` [#17](https://github.com/metabahn/corerb/pull/17) Add Core::Async::Collection for building async collections ([bryanp](https://github.com/bryanp))
  * `add` [#16](https://github.com/metabahn/corerb/pull/16) Add Core::Async::Enumerator for async enumeration ([bryanp](https://github.com/bryanp))
  * `add` [#15](https://github.com/metabahn/corerb/pull/15) Add Is::Async#resolve for resolving potential futures to final values ([bryanp](https://github.com/bryanp))
  * `add` [#14](https://github.com/metabahn/corerb/pull/14) Add Is::Async#aware for guaranteeing an async context without nesting ([bryanp](https://github.com/bryanp))
  * `fix` [#13](https://github.com/metabahn/corerb/pull/13) Correctly return the result from top-level await ([bryanp](https://github.com/bryanp))
  * `fix` [#12](https://github.com/metabahn/corerb/pull/12) Resolve some edge-cases and bugs around raising top-level errors ([bryanp](https://github.com/bryanp))
  * `chg` [#11](https://github.com/metabahn/corerb/pull/11) Raise an argument error when attempting to wrap a non-async-aware object ([bryanp](https://github.com/bryanp))
  * `add` [#10](https://github.com/metabahn/corerb/pull/10) Add a pattern for making a call explicitly async ([bryanp](https://github.com/bryanp))
  * `add` [#9](https://github.com/metabahn/corerb/pull/9) Introduce async futures ([bryanp](https://github.com/bryanp))

## [v0.1.0](https://github.com/metabahn/corerb/releases/tag/2021-02-11)

*released on 2021-02-11*

  * `chg` [#8](https://github.com/metabahn/corerb/pull/8) Wait for all async work to complete ([bryanp](https://github.com/bryanp))
  * `add` [#7](https://github.com/metabahn/corerb/pull/7) Add Core::Async::Reactor ([bryanp](https://github.com/bryanp))
  * `chg` [#6](https://github.com/metabahn/corerb/pull/6) Don't yield tasks from async and await ([bryanp](https://github.com/bryanp))

## [v0.0.0](https://github.com/metabahn/corerb/releases/tag/2020-12-17)

*released on 2020-12-17*

  * `add` [#1](https://github.com/metabahn/corerb/pull/1) Initial core-async behavior ([bryanp](https://github.com/bryanp))


